<p align="center">
  <img alt="azure" src="https://i.pinimg.com/originals/e5/46/c4/e546c497e6a8a410a9d725b4f8dc2669.gif" width="350px" float="center"/>
</p>

<h2 align="center">⚡️ <a href="https://github.com/sirjonasxx/G-Earth">G-Earth</a> extensions ⚡️</h2>

<div align="center">

[![Bugs](https://sonarcloud.io/api/project_badges/measure?project=lpmatos_gex&metric=bugs)](https://sonarcloud.io/dashboard?id=lpmatos_gex)
[![Semantic Release](https://img.shields.io/badge/%20%20%F0%9F%93%A6%F0%9F%9A%80-semantic--release-e10079.svg)](https://gitlab.com/dry-group/cluster-management)
[![Commitizen friendly](https://img.shields.io/badge/commitizen-friendly-brightgreen.svg)](https://gitlab.com/dry-group/cluster-management)
[![License](https://img.shields.io/badge/license-MIT-blue.svg)](/LICENSE)

</div>

<div align="center">

[![SonarCloud](https://sonarcloud.io/images/project_badges/sonarcloud-orange.svg)](https://sonarcloud.io/dashboard?id=lpmatos_gex)

</div>

---

<p align="center">
  <img alt="pipelines" src="https://c.tenor.com/CRl1Stqo_awAAAAM/habbo-party.gif" width="450px" float="center"/>
</p>

<p align="center">
  ✨ A simple project to automate some stuffs in Habbo with G-Earth ✨
</p>

<p align="center">
  <a href="#about">About</a>&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;
  <a href="#getting-started">Getting Started</a>&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;
  <a href="#authors">Authors</a>
</p>

---

## ➤ Getting Started <a name = "getting-started"></a>

If you want contribute on this project, first you need to make a **git clone**:

>
> 1. git clone --depth 1 <https://github.com/lpmatos/g-extensions.git> -b master
>

This will give you access to the code on your **local machine**.

## ➤ Prerequisites <a name = "prerequisites"></a>

Before you start developing on this project you need to install some tools on your **local machine**:

### Develop tools

- **python**

### G-Earth tools

- **java** version 8

### Support tools

- **npm**, **make**, **pre-commit**

For more information, access the [CONTRIBUTING](CONTRIBUTING.md) file.

## ➤ Installing <a name = "installing"></a>

To install support dependencies that handle commit and release standards, run the command:

```bash
make install
```

This shareable configuration use the following dependencies:

- ⮚ [Semantic Release](https://github.com/semantic-release) + Plugins de configuração
  - [`semantic-release`](https://github.com/semantic-release/semantic-release)
  - [`@semantic-release/git`](https://github.com/semantic-release/git)
  - [`@semantic-release/github`](https://github.com/semantic-release/github)
  - [`@semantic-release/changelog`](https://github.com/semantic-release/changelog)
  - [`@semantic-release/commit-analyzer`](https://github.com/semantic-release/commit-analyzer)
  - [`@semantic-release/release-notes-generator`](https://github.com/semantic-release/release-notes-generator)
- ⮚ [Commit Lint](https://github.com/conventional-changelog/commitlint) usando o [Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0/).
  - [`commitizen`](https://github.com/commitizen/cz-cli)
  - [`@commitlint/cli`](https://github.com/conventional-changelog/commitlint)
  - [`@commitlint/config-conventional`](https://github.com/conventional-changelog/commitlint)

For more information, access the [CONTRIBUTING](CONTRIBUTING.md) file.

## ➤ Description <a name = "description"></a>

<div align="center">

<p align="center">
  <img alt="gif-description" src="https://media3.giphy.com/media/5ziQ5kjh4lgCd29WOR/200w.gif?cid=82a1493b0uufgvz9tw6byen3bed3y7h9u0ilzpcuthz7a5ne&rid=200w.gif" width="250px" float="center"/>
</p>

</div>

G-Earth + G-Python allows you to create simple scripts for Habbo and run them on the fly! So in this project we created a pattern to hinder the creation of these scripts. G-Earth is a library for intercepting and manipulating Habbo packets, and G-Python is a library to create G-Earth extensions using Python code.

## ➤ Commands <a name = "commands"></a>

- `!awake on`: enable the mode for you to stay awake always
- `!awake off`: disable the mode for you to stay awake always

## ➤ Links <a name = "links"></a>

- https://sulek.dev/api
- https://github.com/sirjonasxx/G-Earth
- https://github.com/sirjonasxx/G-Python
- https://images.habbo.com/habbo-native-clients/launcher/HabboLauncher-Setup-1.0.31.exe
- https://images.habbo.com/habbo-native-clients/launcher/HabboLauncher-1.0.31.dmg

## ➤ Author <a name = "author"></a>

👤 **Lucca Pessoa**

Hey!! If you like this project or if you find some bugs feel free to contact me in my channels:

>
> * Email: luccapsm@protonmail.com
> * Website: https://github.com/lpmatos
> * Github: [@lpmatos](https://github.com/lpmatos)
> * GitLab: [@lpmatos](https://gitlab.com/lpmatos)
>

## ➤ Versioning <a name = "versioning"></a>

To check the change history, please access the [**CHANGELOG.md**](CHANGELOG.md) file.

## ➤ Contributing <a name = "contributing"></a>

Contributions, issues and feature requests are welcome. Feel free to check issues page if you want to contribute. [Check the contributing guide](CONTRIBUTING.md).

## ➤ Troubleshooting <a name = "troubleshooting"></a>

If you have any problems, please contact [me](luccapsm@protonmail.com).

## ➤ License <a name = "license"></a>

This repository is released under the [MIT license](https://opensource.org/licenses/MIT). In short, this means you are free to use this software in any personal, open-source or commercial projects. Attribution is optional but appreciated.

## ➤ Show your support <a name = "show-your-support"></a>

Give a ⭐️ if this project helped you!

---

<div align="center">

Made with 💜 by [me](https://github.com/lpmatos) :wave: inspired on [readme-md-generator](https://github.com/kefranabg/readme-md-generator)

</div>
